-- ALLY_Alliance_Types
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,									Kind)
VALUES	('DIPLOACTION_ALLIANCE_JNR_INDUSTRIAL',	'KIND_DIPLOMATIC_ACTION'),
		('DIPLOACTION_ALLIANCE_JNR_URBAN',		'KIND_DIPLOMATIC_ACTION'),
		('DIPLOACTION_ALLIANCE_JNR_MARITIME',	'KIND_DIPLOMATIC_ACTION'),
		('DIPLOACTION_ALLIANCE_JNR_ESPIONAGE',	'KIND_DIPLOMATIC_ACTION'),

		('ALLIANCE_JNR_INDUSTRIAL',	'KIND_DIPLOMACY_ALLIANCE'),
		('ALLIANCE_JNR_URBAN',		'KIND_DIPLOMACY_ALLIANCE'),
		('ALLIANCE_JNR_MARITIME',	'KIND_DIPLOMACY_ALLIANCE'),
		('ALLIANCE_JNR_ESPIONAGE',	'KIND_DIPLOMACY_ALLIANCE'),

		('MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_POLICY_HOUSING',		'KIND_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_POLICY_AMENITY',		'KIND_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_PLAYERS_ADJUST_SPY_BONUS',			'KIND_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_PLAYERS_ATTACH_MODIFIER',			'KIND_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_CITIES_ATTACH_MODIFIER',			'KIND_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_ALLOWED_IMPROVEMENT',	'KIND_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_UNITS_ATTACH_MODIFIER',				'KIND_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_FREE_POWER',			'KIND_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_UNITS_ADJUST_GREAT_PERSON_CHARGES',	'KIND_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_DISTRICTS_ADJUST_YIELD_CHANGE',		'KIND_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_PLAYERS_ADD_DIPLO_VISIBILITY',		'KIND_MODIFIER');
--------------------------------------------------------------

-- Alliances
--------------------------------------------------------------
INSERT OR IGNORE INTO Alliances
		(AllianceType,				Name,							Description)
VALUES	('ALLIANCE_JNR_INDUSTRIAL',	'LOC_ALLIANCE_JNR_INDUSTRIAL',	'LOC_DIPLOMACY_ALLIANCE_JNR_INDUSTRIAL_NAME_LEVEL'),
		('ALLIANCE_JNR_URBAN',		'LOC_ALLIANCE_JNR_URBAN',		'LOC_DIPLOMACY_ALLIANCE_JNR_URBAN_NAME_LEVEL'),
		('ALLIANCE_JNR_MARITIME',	'LOC_ALLIANCE_JNR_MARITIME',	'LOC_DIPLOMACY_ALLIANCE_JNR_MARITIME_NAME_LEVEL'),
		('ALLIANCE_JNR_ESPIONAGE',	'LOC_ALLIANCE_JNR_ESPIONAGE',	'LOC_DIPLOMACY_ALLIANCE_JNR_ESPIONAGE_NAME_LEVEL');
--------------------------------------------------------------

-- DiplomaticActions
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomaticActions
		(DiplomaticActionType,					Description, CivilopediaKey, InitiatorPrereqCivic, TargetPrereqCivic, UIGroup, Cost)
SELECT	'DIPLOACTION_ALLIANCE_JNR_INDUSTRIAL',	Description, CivilopediaKey, InitiatorPrereqCivic, TargetPrereqCivic, UIGroup, Cost
FROM	DiplomaticActions
WHERE	DiplomaticActionType='DIPLOACTION_ALLIANCE_RESEARCH';

INSERT OR IGNORE INTO DiplomaticActions
		(DiplomaticActionType,					Description, CivilopediaKey, InitiatorPrereqCivic, TargetPrereqCivic, UIGroup, Cost)
SELECT	'DIPLOACTION_ALLIANCE_JNR_URBAN',		Description, CivilopediaKey, InitiatorPrereqCivic, TargetPrereqCivic, UIGroup, Cost
FROM	DiplomaticActions
WHERE	DiplomaticActionType='DIPLOACTION_ALLIANCE_RESEARCH';

INSERT OR IGNORE INTO DiplomaticActions
		(DiplomaticActionType,					Description, CivilopediaKey, InitiatorPrereqCivic, TargetPrereqCivic, UIGroup, Cost)
SELECT	'DIPLOACTION_ALLIANCE_JNR_MARITIME',	Description, CivilopediaKey, InitiatorPrereqCivic, TargetPrereqCivic, UIGroup, Cost
FROM	DiplomaticActions
WHERE	DiplomaticActionType='DIPLOACTION_ALLIANCE_RESEARCH';

INSERT OR IGNORE INTO DiplomaticActions
		(DiplomaticActionType,					Description, CivilopediaKey, InitiatorPrereqCivic, TargetPrereqCivic, UIGroup, Cost)
SELECT	'DIPLOACTION_ALLIANCE_JNR_ESPIONAGE',	Description, CivilopediaKey, InitiatorPrereqCivic, TargetPrereqCivic, UIGroup, Cost
FROM	DiplomaticActions
WHERE	DiplomaticActionType='DIPLOACTION_ALLIANCE_RESEARCH';
--------------------------------------------------------------

-- DiplomaticActions_XP1
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomaticActions_XP1
		(DiplomaticActionType,					AllianceType)
VALUES	('DIPLOACTION_ALLIANCE_JNR_INDUSTRIAL',	'ALLIANCE_JNR_INDUSTRIAL'),
		('DIPLOACTION_ALLIANCE_JNR_URBAN',		'ALLIANCE_JNR_URBAN'),
		('DIPLOACTION_ALLIANCE_JNR_MARITIME',	'ALLIANCE_JNR_MARITIME'),
		('DIPLOACTION_ALLIANCE_JNR_ESPIONAGE',	'ALLIANCE_JNR_ESPIONAGE');
--------------------------------------------------------------

-- DiplomaticStateActions
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomaticStateActions
		(DiplomaticActionType,					StateType, Worth, Cost, TransitionToState,	TeamOnly)
SELECT	'DIPLOACTION_ALLIANCE_JNR_INDUSTRIAL',	StateType, Worth, Cost, TransitionToState,	TeamOnly
FROM	DiplomaticStateActions
WHERE	DiplomaticActionType='DIPLOACTION_ALLIANCE_RESEARCH';

INSERT OR IGNORE INTO DiplomaticStateActions
		(DiplomaticActionType,					StateType, Worth, Cost, TransitionToState,	TeamOnly)
SELECT	'DIPLOACTION_ALLIANCE_JNR_URBAN',		StateType, Worth, Cost, TransitionToState,	TeamOnly
FROM	DiplomaticStateActions
WHERE	DiplomaticActionType='DIPLOACTION_ALLIANCE_RESEARCH';

INSERT OR IGNORE INTO DiplomaticStateActions
		(DiplomaticActionType,					StateType, Worth, Cost, TransitionToState,	TeamOnly)
SELECT	'DIPLOACTION_ALLIANCE_JNR_MARITIME',	StateType, Worth, Cost, TransitionToState,	TeamOnly
FROM	DiplomaticStateActions
WHERE	DiplomaticActionType='DIPLOACTION_ALLIANCE_RESEARCH';

INSERT OR IGNORE INTO DiplomaticStateActions
		(DiplomaticActionType,					StateType, Worth, Cost, TransitionToState,	TeamOnly)
SELECT	'DIPLOACTION_ALLIANCE_JNR_ESPIONAGE',	StateType, Worth, Cost, TransitionToState,	TeamOnly
FROM	DiplomaticStateActions
WHERE	DiplomaticActionType='DIPLOACTION_ALLIANCE_RESEARCH';
--------------------------------------------------------------

-- DiplomacyStatementTypes
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomacyStatementTypes
		(Type)
VALUES	('CREATE_JNR_INDUSTRIAL_ALLIANCE'),
		('CREATE_JNR_URBAN_ALLIANCE'),
		('CREATE_JNR_MARITIME_ALLIANCE'),
		('CREATE_JNR_ESPIONAGE_ALLIANCE');
--------------------------------------------------------------

-- DiplomacySelections
--------------------------------------------------------------
UPDATE	DiplomacySelections SET Sort=Sort+4 WHERE Sort>=30;

UPDATE	DiplomacySelections SET Sort=28 WHERE DiplomaticActionType='DIPLOACTION_ALLIANCE_RESEARCH';
UPDATE	DiplomacySelections SET Sort=24 WHERE DiplomaticActionType='DIPLOACTION_ALLIANCE_MILITARY';
UPDATE	DiplomacySelections SET Sort=27 WHERE DiplomaticActionType='DIPLOACTION_ALLIANCE_ECONOMIC';
UPDATE	DiplomacySelections SET Sort=29 WHERE DiplomaticActionType='DIPLOACTION_ALLIANCE_CULTURAL';
UPDATE	DiplomacySelections SET Sort=30 WHERE DiplomaticActionType='DIPLOACTION_ALLIANCE_RELIGIOUS';
UPDATE	DiplomacySelections SET Sort=33 WHERE DiplomaticActionType='DIPLOACTION_RENEW_ALLIANCE';

INSERT OR IGNORE INTO DiplomacySelections
		(Type,		 Leader, Mood,	Sort, 'Key',							'Text',										DiplomaticActionType)
VALUES	('GREETING', 'ANY',	 'ANY',	26,	  'CHOICE_ALLIANCE_JNR_INDUSTRIAL',	'LOC_DIPLO_CHOICE_ALLIANCE_JNR_INDUSTRIAL',	'DIPLOACTION_ALLIANCE_JNR_INDUSTRIAL'),
		('GREETING', 'ANY',	 'ANY',	31,	  'CHOICE_ALLIANCE_JNR_URBAN',		'LOC_DIPLO_CHOICE_ALLIANCE_JNR_URBAN',		'DIPLOACTION_ALLIANCE_JNR_URBAN'),
		('GREETING', 'ANY',	 'ANY',	25,	  'CHOICE_ALLIANCE_JNR_MARITIME',	'LOC_DIPLO_CHOICE_ALLIANCE_JNR_MARITIME',	'DIPLOACTION_ALLIANCE_JNR_MARITIME'),
		('GREETING', 'ANY',	 'ANY',	32,	  'CHOICE_ALLIANCE_JNR_ESPIONAGE',	'LOC_DIPLO_CHOICE_ALLIANCE_JNR_ESPIONAGE',	'DIPLOACTION_ALLIANCE_JNR_ESPIONAGE');
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,					RequirementType)
VALUES	('REQUIRES_CITY_HAS_WONDER',	'REQUIREMENT_CITY_HAS_ANY_WONDER'),
		('REQUIREMENT_UNIT_IS_ADMIRAL',	'REQUIREMENT_GREAT_PERSON_TYPE_MATCHES');
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,					Name,					Value)
VALUES	('REQUIREMENT_UNIT_IS_ADMIRAL',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_ADMIRAL');
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,					RequirementSetType)
VALUES	('UNIT_IS_IN_OWNER_TERRITORY_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_CAN_SEE_IRON_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_CAN_SEE_HORSES_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_CAN_SEE_NITER_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_CAN_SEE_COAL_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_CAN_SEE_OIL_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_CAN_SEE_ALUMINUM_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_CAN_SEE_URANIUM_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('CITY_HAS_WONDER_REQUIREMENTS',	'REQUIREMENTSET_TEST_ALL'),
		('UNIT_IS_ADMIRAL',					'REQUIREMENTSET_TEST_ALL');
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,					RequirementId)
VALUES	('UNIT_IS_IN_OWNER_TERRITORY_JNR',	'UNIT_IN_OWNER_TERRITORY_REQUIREMENT'),
		('PLAYER_CAN_SEE_IRON_JNR',			'REQUIRES_PLAYER_CAN_SEE_IRON'),
		('PLAYER_CAN_SEE_HORSES_JNR',		'REQUIRES_PLAYER_CAN_SEE_HORSES'),
		('PLAYER_CAN_SEE_NITER_JNR',		'REQUIRES_PLAYER_CAN_SEE_NITER'),
		('PLAYER_CAN_SEE_COAL_JNR',			'REQUIRES_PLAYER_CAN_SEE_COAL'),
		('PLAYER_CAN_SEE_OIL_JNR',			'REQUIRES_PLAYER_CAN_SEE_OIL'),
		('PLAYER_CAN_SEE_ALUMINUM_JNR',		'REQUIRES_PLAYER_CAN_SEE_ALUMINUM'),
		('PLAYER_CAN_SEE_URANIUM_JNR',		'REQUIRES_PLAYER_CAN_SEE_URANIUM'),
		('CITY_HAS_WONDER_REQUIREMENTS',	'REQUIRES_CITY_HAS_WONDER'),
		('UNIT_IS_ADMIRAL',					'REQUIREMENT_UNIT_IS_ADMIRAL');
--------------------------------------------------------------

-- DynamicModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DynamicModifiers
		(ModifierType,														CollectionType,						EffectType)
VALUES	('MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_POLICY_HOUSING',				'COLLECTION_ALLIANCE_CITIES',		'EFFECT_ADJUST_POLICY_HOUSING'),
		('MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_POLICY_AMENITY',				'COLLECTION_ALLIANCE_CITIES',		'EFFECT_ADJUST_POLICY_AMENITY'),
		('MODIFIER_JNR_ALLIANCE_PLAYERS_ADJUST_SPY_BONUS',					'COLLECTION_ALLIANCE_PLAYERS',		'EFFECT_ADJUST_PLAYER_SPY_BONUS'),
		('MODIFIER_JNR_ALLIANCE_PLAYERS_ATTACH_MODIFIER',					'COLLECTION_ALLIANCE_PLAYERS',		'EFFECT_ATTACH_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_CITIES_ATTACH_MODIFIER',					'COLLECTION_ALLIANCE_CITIES',		'EFFECT_ATTACH_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_ALLOWED_IMPROVEMENT',			'COLLECTION_ALLIANCE_CITIES',		'EFFECT_ADJUST_CITY_ALLOWED_IMPROVEMENT'),
		('MODIFIER_JNR_ALLIANCE_UNITS_ATTACH_MODIFIER',						'COLLECTION_ALLIANCE_UNITS',		'EFFECT_ATTACH_MODIFIER'),
		('MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_FREE_POWER',					'COLLECTION_ALLIANCE_CITIES',		'EFFECT_ADJUST_CITY_FREE_POWER'),
		('MODIFIER_JNR_ALLIANCE_UNITS_ADJUST_GREAT_PERSON_CHARGES',			'COLLECTION_ALLIANCE_UNITS',		'EFFECT_ADJUST_UNIT_GREAT_PERSON_CHARGES'),
		('MODIFIER_JNR_ALLIANCE_DISTRICTS_ADJUST_YIELD_CHANGE',				'COLLECTION_ALLIANCE_DISTRICTS',	'EFFECT_ADJUST_DISTRICT_YIELD_CHANGE'),
		('MODIFIER_JNR_ALLIANCE_PLAYERS_ADD_DIPLO_VISIBILITY',				'COLLECTION_ALLIANCE_PLAYERS',		'EFFECT_ADD_DIPLO_VISIBILITY');
--------------------------------------------------------------
		
-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,												ModifierType,												SubjectRequirementSetId)
VALUES	('ALLIANCE_JNR_ADD_PRODUCTION_TO_ORIGIN_TRADE_ROUTE',		'MODIFIER_ALLIANCE_TRADE_ROUTE_ADJUST_YIELD',				'ROUTE_BETWEEN_ALLIES_REQUIREMENTS'),
		('ALLIANCE_JNR_ADD_PRODUCTION_TO_DESTINATION_TRADE_ROUTE',	'MODIFIER_ALLIANCE_TRADE_ROUTE_ADJUST_YIELD',				'ROUTE_BETWEEN_ALLIES_REQUIREMENTS'),
		('ALLIANCE_JNR_TRADE_HOUSING',								'MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_POLICY_HOUSING',		'ALLIANCE_CITY_HAS_TRADE_ROUTE_WITH_ALLY'),
		('ALLIANCE_JNR_TRADE_AMENITIES',							'MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_POLICY_AMENITY',		'ALLIANCE_CITY_HAS_TRADE_ROUTE_WITH_ALLY'),
		('ALLIANCE_JNR_ADD_FOOD_TO_ORIGIN_TRADE_ROUTE',				'MODIFIER_ALLIANCE_TRADE_ROUTE_ADJUST_YIELD',				'ROUTE_BETWEEN_ALLIES_REQUIREMENTS'),
		('ALLIANCE_JNR_ADD_FOOD_TO_DESTINATION_TRADE_ROUTE',		'MODIFIER_ALLIANCE_TRADE_ROUTE_ADJUST_YIELD',				'ROUTE_BETWEEN_ALLIES_REQUIREMENTS'),
		('ALLIANCE_JNR_SPY_OFFENSE',								'MODIFIER_JNR_ALLIANCE_PLAYERS_ADJUST_SPY_BONUS',			NULL),
		('ALLIANCE_JNR_SPY_DEFENSE',								'MODIFIER_JNR_ALLIANCE_PLAYERS_ADJUST_SPY_BONUS',			NULL),
		('ALLIANCE_JNR_RESOURCE_BONUS_IRON_ATTACH',					'MODIFIER_JNR_ALLIANCE_PLAYERS_ATTACH_MODIFIER',			NULL),
		('ALLIANCE_JNR_RESOURCE_BONUS_HORSES_ATTACH',				'MODIFIER_JNR_ALLIANCE_PLAYERS_ATTACH_MODIFIER',			NULL),
		('ALLIANCE_JNR_RESOURCE_BONUS_NITER_ATTACH',				'MODIFIER_JNR_ALLIANCE_PLAYERS_ATTACH_MODIFIER',			NULL),
		('ALLIANCE_JNR_RESOURCE_BONUS_COAL_ATTACH',					'MODIFIER_JNR_ALLIANCE_PLAYERS_ATTACH_MODIFIER',			NULL),
		('ALLIANCE_JNR_RESOURCE_BONUS_OIL_ATTACH',					'MODIFIER_JNR_ALLIANCE_PLAYERS_ATTACH_MODIFIER',			NULL),
		('ALLIANCE_JNR_RESOURCE_BONUS_ALUMINUM_ATTACH',				'MODIFIER_JNR_ALLIANCE_PLAYERS_ATTACH_MODIFIER',			NULL),
		('ALLIANCE_JNR_RESOURCE_BONUS_URANIUM_ATTACH',				'MODIFIER_JNR_ALLIANCE_PLAYERS_ATTACH_MODIFIER',			NULL),
		('ALLIANCE_JNR_RESOURCE_BONUS_IRON',						'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION',	'PLAYER_CAN_SEE_IRON_JNR'),
		('ALLIANCE_JNR_RESOURCE_BONUS_HORSES',						'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION',	'PLAYER_CAN_SEE_HORSES_JNR'),
		('ALLIANCE_JNR_RESOURCE_BONUS_NITER',						'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION',	'PLAYER_CAN_SEE_NITER_JNR'),
		('ALLIANCE_JNR_RESOURCE_BONUS_COAL',						'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION',	'PLAYER_CAN_SEE_COAL_JNR'),
		('ALLIANCE_JNR_RESOURCE_BONUS_OIL',							'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION',	'PLAYER_CAN_SEE_OIL_JNR'),
		('ALLIANCE_JNR_RESOURCE_BONUS_ALUMINUM',					'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION',	'PLAYER_CAN_SEE_ALUMINUM_JNR'),
		('ALLIANCE_JNR_RESOURCE_BONUS_URANIUM',						'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION',	'PLAYER_CAN_SEE_URANIUM_JNR'),
		('ALLIANCE_JNR_GOVERNOR_WONDER_FAVOR_ATTACH',				'MODIFIER_JNR_ALLIANCE_CITIES_ATTACH_MODIFIER',				'CITY_HAS_GOVERNOR'),
		('ALLIANCE_JNR_GOVERNOR_WONDER_FAVOR',						'MODIFIER_PLAYER_ADJUST_EXTRA_FAVOR_PER_TURN',				'CITY_HAS_WONDER_REQUIREMENTS'),
		('ALLIANCE_JNR_CAN_BUILD_TRAWLER',							'MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_ALLOWED_IMPROVEMENT',	NULL),
		('ALLIANCE_JNR_TRAWLER_ADJACENT_YIELDS_ATTACH',				'MODIFIER_JNR_ALLIANCE_PLAYERS_ATTACH_MODIFIER',			NULL),
		('ALLIANCE_JNR_SPY_FAVOR_ATTACH',							'MODIFIER_JNR_ALLIANCE_UNITS_ATTACH_MODIFIER',				'UNIT_IS_SPY'),
		('ALLIANCE_JNR_SPY_FAVOR',									'MODIFIER_PLAYER_ADJUST_EXTRA_FAVOR_PER_TURN',				'UNIT_IS_IN_OWNER_TERRITORY_JNR'),
		('ALLIANCE_JNR_POWER',										'MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_FREE_POWER',			NULL),
		('ALLIANCE_JNR_CAN_BUILD_CITY_PARK',						'MODIFIER_JNR_ALLIANCE_CITIES_ADJUST_ALLOWED_IMPROVEMENT',	NULL),
		('ALLIANCE_JNR_ADMIRAL_CHARGES',							'MODIFIER_JNR_ALLIANCE_UNITS_ADJUST_GREAT_PERSON_CHARGES',	'UNIT_IS_ADMIRAL'),
		('ALLIANCE_JNR_COASTAL_DISTRICT_PRODUCTION',				'MODIFIER_JNR_ALLIANCE_DISTRICTS_ADJUST_YIELD_CHANGE',		'PLOT_IS_OR_ADJACENT_TO_COAST'),
		('ALLIANCE_JNR_ADD_VISIBILITY',								'MODIFIER_JNR_ALLIANCE_PLAYERS_ADD_DIPLO_VISIBILITY',		NULL);
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,												Name,	Value)
VALUES	('ALLIANCE_JNR_ADD_PRODUCTION_TO_ORIGIN_TRADE_ROUTE',		'Amount',				2),
		('ALLIANCE_JNR_ADD_PRODUCTION_TO_ORIGIN_TRADE_ROUTE',		'YieldType',			'YIELD_PRODUCTION'),
		('ALLIANCE_JNR_ADD_PRODUCTION_TO_ORIGIN_TRADE_ROUTE',		'AffectOrigin',			'True'),
		('ALLIANCE_JNR_ADD_PRODUCTION_TO_DESTINATION_TRADE_ROUTE',	'Amount',				1),
		('ALLIANCE_JNR_ADD_PRODUCTION_TO_DESTINATION_TRADE_ROUTE',	'YieldType',			'YIELD_PRODUCTION'),
		('ALLIANCE_JNR_ADD_PRODUCTION_TO_DESTINATION_TRADE_ROUTE',	'AffectDestination',	'True'),
		('ALLIANCE_JNR_TRADE_HOUSING',								'Amount',				2),
		('ALLIANCE_JNR_TRADE_AMENITIES',							'Amount',				1),
		('ALLIANCE_JNR_ADD_FOOD_TO_ORIGIN_TRADE_ROUTE',				'Amount',				2),
		('ALLIANCE_JNR_ADD_FOOD_TO_ORIGIN_TRADE_ROUTE',				'YieldType',			'YIELD_FOOD'),
		('ALLIANCE_JNR_ADD_FOOD_TO_ORIGIN_TRADE_ROUTE',				'AffectOrigin',			'True'),
		('ALLIANCE_JNR_ADD_FOOD_TO_DESTINATION_TRADE_ROUTE',		'Amount',				1),
		('ALLIANCE_JNR_ADD_FOOD_TO_DESTINATION_TRADE_ROUTE',		'YieldType',			'YIELD_FOOD'),
		('ALLIANCE_JNR_ADD_FOOD_TO_DESTINATION_TRADE_ROUTE',		'AffectDestination',	'True'),
		('ALLIANCE_JNR_SPY_OFFENSE',								'Offense',				'True'),
		('ALLIANCE_JNR_SPY_OFFENSE',								'Amount',				1),
		('ALLIANCE_JNR_SPY_DEFENSE',								'Offense',				'False'),
		('ALLIANCE_JNR_SPY_DEFENSE',								'Amount',				1),
		('ALLIANCE_JNR_RESOURCE_BONUS_IRON_ATTACH',					'ModifierId',			'ALLIANCE_JNR_RESOURCE_BONUS_IRON'),
		('ALLIANCE_JNR_RESOURCE_BONUS_HORSES_ATTACH',				'ModifierId',			'ALLIANCE_JNR_RESOURCE_BONUS_HORSES'),
		('ALLIANCE_JNR_RESOURCE_BONUS_NITER_ATTACH',				'ModifierId',			'ALLIANCE_JNR_RESOURCE_BONUS_NITER'),
		('ALLIANCE_JNR_RESOURCE_BONUS_COAL_ATTACH',					'ModifierId',			'ALLIANCE_JNR_RESOURCE_BONUS_COAL'),
		('ALLIANCE_JNR_RESOURCE_BONUS_OIL_ATTACH',					'ModifierId',			'ALLIANCE_JNR_RESOURCE_BONUS_OIL'),
		('ALLIANCE_JNR_RESOURCE_BONUS_ALUMINUM_ATTACH',				'ModifierId',			'ALLIANCE_JNR_RESOURCE_BONUS_ALUMINUM'),
		('ALLIANCE_JNR_RESOURCE_BONUS_URANIUM_ATTACH',				'ModifierId',			'ALLIANCE_JNR_RESOURCE_BONUS_URANIUM'),
		('ALLIANCE_JNR_RESOURCE_BONUS_IRON',						'ResourceType',			'RESOURCE_IRON'),
		('ALLIANCE_JNR_RESOURCE_BONUS_IRON',						'Amount',				'3'),
		('ALLIANCE_JNR_RESOURCE_BONUS_HORSES',						'ResourceType',			'RESOURCE_HORSES'),
		('ALLIANCE_JNR_RESOURCE_BONUS_HORSES',						'Amount',				3),
		('ALLIANCE_JNR_RESOURCE_BONUS_NITER',						'ResourceType',			'RESOURCE_NITER'),
		('ALLIANCE_JNR_RESOURCE_BONUS_NITER',						'Amount',				3),
		('ALLIANCE_JNR_RESOURCE_BONUS_COAL',						'ResourceType',			'RESOURCE_COAL'),
		('ALLIANCE_JNR_RESOURCE_BONUS_COAL',						'Amount',				3),
		('ALLIANCE_JNR_RESOURCE_BONUS_OIL',							'ResourceType',			'RESOURCE_OIL'),
		('ALLIANCE_JNR_RESOURCE_BONUS_OIL',							'Amount',				3),
		('ALLIANCE_JNR_RESOURCE_BONUS_ALUMINUM',					'ResourceType',			'RESOURCE_ALUMINUM'),
		('ALLIANCE_JNR_RESOURCE_BONUS_ALUMINUM',					'Amount',				3),
		('ALLIANCE_JNR_RESOURCE_BONUS_URANIUM',						'ResourceType',			'RESOURCE_URANIUM'),
		('ALLIANCE_JNR_RESOURCE_BONUS_URANIUM',						'Amount',				3),
		('ALLIANCE_JNR_GOVERNOR_WONDER_FAVOR_ATTACH',				'ModifierId',			'ALLIANCE_JNR_GOVERNOR_WONDER_FAVOR'),
		('ALLIANCE_JNR_GOVERNOR_WONDER_FAVOR',						'Amount',				1),
		('ALLIANCE_JNR_CAN_BUILD_TRAWLER',							'ImprovementType',		'IMPROVEMENT_JNR_TRAWLER'),
		('ALLIANCE_JNR_TRAWLER_ADJACENT_YIELDS_ATTACH',				'ModifierId',			'TRAWLER_JNR_ADJACENT_YIELDS'),
		('ALLIANCE_JNR_SPY_FAVOR_ATTACH',							'ModifierId',			'ALLIANCE_JNR_SPY_FAVOR'),
		('ALLIANCE_JNR_SPY_FAVOR',									'Amount',				2),
		('ALLIANCE_JNR_POWER',										'Amount',				3),
		('ALLIANCE_JNR_POWER',										'SourceType',			'FREE_POWER_SOURCE_MISC'),
		('ALLIANCE_JNR_CAN_BUILD_CITY_PARK',						'ImprovementType',		'IMPROVEMENT_CITY_PARK'),
		('ALLIANCE_JNR_ADMIRAL_CHARGES',							'Amount',				1),
		('ALLIANCE_JNR_COASTAL_DISTRICT_PRODUCTION',				'Amount',				3),
		('ALLIANCE_JNR_COASTAL_DISTRICT_PRODUCTION',				'YieldType',			'YIELD_PRODUCTION'),
		('ALLIANCE_JNR_ADD_VISIBILITY',								'Amount',				1),
		('ALLIANCE_JNR_ADD_VISIBILITY',								'Source',				'SOURCE_JNR_ESPIONAGE_ALLIANCE'),
		('ALLIANCE_JNR_ADD_VISIBILITY',								'SourceType',			'DIPLO_SOURCE_ALL_NAMES');
--------------------------------------------------------------

-- ModifierStrings
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierStrings
		(ModifierId,												Context,	'Text')
VALUES	('ALLIANCE_JNR_ADD_PRODUCTION_TO_ORIGIN_TRADE_ROUTE',		'Summary',	'LOC_ALLIANCE_LV1_JNR_INDUSTRIAL_EFFECT_1'),
		('ALLIANCE_JNR_ADD_PRODUCTION_TO_DESTINATION_TRADE_ROUTE',	'Summary',	'LOC_ALLIANCE_LV1_JNR_INDUSTRIAL_EFFECT_2'),
		('ALLIANCE_JNR_TRADE_HOUSING',								'Summary',	'LOC_ALLIANCE_LV1_JNR_URBAN_EFFECT_1'),
--		('ALLIANCE_JNR_TRADE_AMENITIES',							'Summary',	'LOC_ALLIANCE_LV1_JNR_URBAN_EFFECT_2'),
		('ALLIANCE_JNR_ADD_FOOD_TO_ORIGIN_TRADE_ROUTE',				'Summary',	'LOC_ALLIANCE_LV1_JNR_MARITIME_EFFECT_1'),
		('ALLIANCE_JNR_ADD_FOOD_TO_DESTINATION_TRADE_ROUTE',		'Summary',	'LOC_ALLIANCE_LV1_JNR_MARITIME_EFFECT_2'),
		('ALLIANCE_JNR_SPY_OFFENSE',								'Summary',	'LOC_ALLIANCE_LV1_JNR_ESPIONAGE_EFFECT_1'),
		('ALLIANCE_JNR_SPY_DEFENSE',								'Summary',	'LOC_ALLIANCE_LV1_JNR_ESPIONAGE_EFFECT_2'),
		('ALLIANCE_JNR_RESOURCE_BONUS_IRON_ATTACH',					'Summary',	'LOC_ALLIANCE_LV2_JNR_INDUSTRIAL_EFFECT_1'),
--		('ALLIANCE_JNR_RESOURCE_BONUS_HORSES_ATTACH',				'Summary',	'LOC_ALLIANCE_LV2_JNR_INDUSTRIAL_EFFECT_2'),
--		('ALLIANCE_JNR_RESOURCE_BONUS_NITER_ATTACH',				'Summary',	'LOC_ALLIANCE_LV2_JNR_INDUSTRIAL_EFFECT_3'),
--		('ALLIANCE_JNR_RESOURCE_BONUS_COAL_ATTACH',					'Summary',	'LOC_ALLIANCE_LV2_JNR_INDUSTRIAL_EFFECT_4'),
--		('ALLIANCE_JNR_RESOURCE_BONUS_OIL_ATTACH',					'Summary',	'LOC_ALLIANCE_LV2_JNR_INDUSTRIAL_EFFECT_5'),
--		('ALLIANCE_JNR_RESOURCE_BONUS_ALUMINUM_ATTACH',				'Summary',	'LOC_ALLIANCE_LV2_JNR_INDUSTRIAL_EFFECT_6'),
--		('ALLIANCE_JNR_RESOURCE_BONUS_URANIUM_ATTACH',				'Summary',	'LOC_ALLIANCE_LV2_JNR_INDUSTRIAL_EFFECT_7'),
		('ALLIANCE_JNR_GOVERNOR_WONDER_FAVOR_ATTACH',				'Summary',	'LOC_ALLIANCE_LV2_JNR_URBAN_EFFECT_1'),
		('ALLIANCE_JNR_CAN_BUILD_TRAWLER',							'Summary',	'LOC_ALLIANCE_LV2_JNR_MARITIME_EFFECT_1'),
--		('ALLIANCE_JNR_TRAWLER_ADJACENT_YIELDS_ATTACH',				'Summary',	'LOC_ALLIANCE_LV2_JNR_MARITIME_EFFECT_2'),
		('ALLIANCE_JNR_SPY_FAVOR_ATTACH',							'Summary',	'LOC_ALLIANCE_LV2_JNR_ESPIONAGE_EFFECT_1'),
		('ALLIANCE_JNR_POWER',										'Summary',	'LOC_ALLIANCE_LV3_JNR_INDUSTRIAL_EFFECT_1'),
		('ALLIANCE_JNR_CAN_BUILD_CITY_PARK',						'Summary',	'LOC_ALLIANCE_LV3_JNR_URBAN_EFFECT_1'),
		('ALLIANCE_JNR_ADMIRAL_CHARGES',							'Summary',	'LOC_ALLIANCE_LV3_JNR_MARITIME_EFFECT_1'),
		('ALLIANCE_JNR_COASTAL_DISTRICT_PRODUCTION',				'Summary',	'LOC_ALLIANCE_LV3_JNR_MARITIME_EFFECT_2'),
		('ALLIANCE_JNR_ADD_VISIBILITY',								'Summary',	'LOC_ALLIANCE_LV3_JNR_ESPIONAGE_EFFECT_1');
--------------------------------------------------------------

-- AllianceEffects
--------------------------------------------------------------
INSERT OR IGNORE INTO AllianceEffects
		(AllianceType,				LevelRequirement,	ModifierID)
VALUES	('ALLIANCE_JNR_INDUSTRIAL',	1,					'ALLIANCE_JNR_ADD_PRODUCTION_TO_ORIGIN_TRADE_ROUTE'),
		('ALLIANCE_JNR_INDUSTRIAL',	1,					'ALLIANCE_JNR_ADD_PRODUCTION_TO_DESTINATION_TRADE_ROUTE'),
		('ALLIANCE_JNR_URBAN',		1,					'ALLIANCE_JNR_TRADE_HOUSING'),
		('ALLIANCE_JNR_URBAN',		1,					'ALLIANCE_JNR_TRADE_AMENITIES'),
		('ALLIANCE_JNR_MARITIME',	1,					'ALLIANCE_JNR_ADD_FOOD_TO_ORIGIN_TRADE_ROUTE'),
		('ALLIANCE_JNR_MARITIME',	1,					'ALLIANCE_JNR_ADD_FOOD_TO_DESTINATION_TRADE_ROUTE'),
		('ALLIANCE_JNR_ESPIONAGE',	1,					'ALLIANCE_JNR_SPY_OFFENSE'),
		('ALLIANCE_JNR_ESPIONAGE',	1,					'ALLIANCE_JNR_SPY_DEFENSE'),
		('ALLIANCE_JNR_INDUSTRIAL',	2,					'ALLIANCE_JNR_RESOURCE_BONUS_IRON_ATTACH'),
		('ALLIANCE_JNR_INDUSTRIAL',	2,					'ALLIANCE_JNR_RESOURCE_BONUS_HORSES_ATTACH'),
		('ALLIANCE_JNR_INDUSTRIAL',	2,					'ALLIANCE_JNR_RESOURCE_BONUS_NITER_ATTACH'),
		('ALLIANCE_JNR_INDUSTRIAL',	2,					'ALLIANCE_JNR_RESOURCE_BONUS_COAL_ATTACH'),
		('ALLIANCE_JNR_INDUSTRIAL',	2,					'ALLIANCE_JNR_RESOURCE_BONUS_OIL_ATTACH'),
		('ALLIANCE_JNR_INDUSTRIAL',	2,					'ALLIANCE_JNR_RESOURCE_BONUS_ALUMINUM_ATTACH'),
		('ALLIANCE_JNR_INDUSTRIAL',	2,					'ALLIANCE_JNR_RESOURCE_BONUS_URANIUM_ATTACH'),
		('ALLIANCE_JNR_URBAN',		2,					'ALLIANCE_JNR_GOVERNOR_WONDER_FAVOR_ATTACH'),
		('ALLIANCE_JNR_MARITIME',	2,					'ALLIANCE_JNR_CAN_BUILD_TRAWLER'),
		('ALLIANCE_JNR_MARITIME',	2,					'ALLIANCE_JNR_TRAWLER_ADJACENT_YIELDS_ATTACH'),
		('ALLIANCE_JNR_ESPIONAGE',	2,					'ALLIANCE_JNR_SPY_FAVOR_ATTACH'),
		('ALLIANCE_JNR_INDUSTRIAL',	3,					'ALLIANCE_JNR_POWER'),
		('ALLIANCE_JNR_URBAN',		3,					'ALLIANCE_JNR_CAN_BUILD_CITY_PARK'),
		('ALLIANCE_JNR_MARITIME',	3,					'ALLIANCE_JNR_ADMIRAL_CHARGES'),
		('ALLIANCE_JNR_MARITIME',	3,					'ALLIANCE_JNR_COASTAL_DISTRICT_PRODUCTION'),
		('ALLIANCE_JNR_ESPIONAGE',	3,					'ALLIANCE_JNR_ADD_VISIBILITY');
--------------------------------------------------------------