-- ALLY_Governors
-- Author: JNR
--------------------------------------------------------------

-- GovernorPromotions
--------------------------------------------------------------
UPDATE	GovernorPromotions
SET		Name='LOC_GOVERNOR_PROMOTION_ARCHITECT_NAME',
		Description='LOC_GOVERNOR_PROMOTION_ARCHITECT_DESCRIPTION_JNR_ALLY'
WHERE	GovernorPromotionType='GOVERNOR_PROMOTION_PARKS_RECREATION'
		AND NOT EXISTS (SELECT ModifierId FROM Modifiers WHERE ModifierId='COREX_PARKS_AND_REC_ALLOW_IMPROVEMENT');
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,													RequirementType)
VALUES	('REQUIRES_ADJACENT_TO_ENTERTAINMENT_JNR',						'REQUIREMENT_REQUIREMENTSET_IS_MET'),
		('REQUIRES_PLOT_ADJACENT_TO_WATER_ENTERTAINMENT_COMPLEX_JNR',	'REQUIREMENT_PLOT_ADJACENT_DISTRICT_TYPE_MATCHES');
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,													Name,				Value)
VALUES	('REQUIRES_ADJACENT_TO_ENTERTAINMENT_JNR',						'RequirementSetId',	'DISTRICT_IS_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('REQUIRES_PLOT_ADJACENT_TO_WATER_ENTERTAINMENT_COMPLEX_JNR',	'DistrictType',		'DISTRICT_WATER_ENTERTAINMENT_COMPLEX');
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,												RequirementSetType)
VALUES	('DISTRICT_IS_CAMPUS_ADJACENT_TO_ENTERTAINMENT_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_HOLY_SITE_ADJACENT_TO_ENTERTAINMENT_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_THEATER_ADJACENT_TO_ENTERTAINMENT_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_COMMERCIAL_HUB_ADJACENT_TO_ENTERTAINMENT_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_HARBOR_ADJACENT_TO_ENTERTAINMENT_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_INDUSTRIAL_ZONE_ADJACENT_TO_ENTERTAINMENT_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_ENCAMPMENT_ADJACENT_TO_ENTERTAINMENT_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_ADJACENT_TO_ENTERTAINMENT_JNR',					'REQUIREMENTSET_TEST_ANY');
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,												RequirementId)
VALUES	('DISTRICT_IS_CAMPUS_ADJACENT_TO_ENTERTAINMENT_JNR',			'REQUIRES_DISTRICT_IS_CAMPUS'),
		('DISTRICT_IS_CAMPUS_ADJACENT_TO_ENTERTAINMENT_JNR',			'REQUIRES_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('DISTRICT_IS_HOLY_SITE_ADJACENT_TO_ENTERTAINMENT_JNR',			'REQUIRES_DISTRICT_IS_HOLY_SITE'),
		('DISTRICT_IS_HOLY_SITE_ADJACENT_TO_ENTERTAINMENT_JNR',			'REQUIRES_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('DISTRICT_IS_THEATER_ADJACENT_TO_ENTERTAINMENT_JNR',			'REQUIRES_DISTRICT_IS_THEATER'),
		('DISTRICT_IS_THEATER_ADJACENT_TO_ENTERTAINMENT_JNR',			'REQUIRES_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('DISTRICT_IS_COMMERCIAL_HUB_ADJACENT_TO_ENTERTAINMENT_JNR',	'REQUIRES_DISTRICT_IS_COMMERCIAL_HUB'),
		('DISTRICT_IS_COMMERCIAL_HUB_ADJACENT_TO_ENTERTAINMENT_JNR',	'REQUIRES_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('DISTRICT_IS_HARBOR_ADJACENT_TO_ENTERTAINMENT_JNR',			'REQUIRES_DISTRICT_IS_HARBOR'),
		('DISTRICT_IS_HARBOR_ADJACENT_TO_ENTERTAINMENT_JNR',			'REQUIRES_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('DISTRICT_IS_INDUSTRIAL_ZONE_ADJACENT_TO_ENTERTAINMENT_JNR',	'REQUIRES_DISTRICT_IS_INDUSTRIAL_ZONE'),
		('DISTRICT_IS_INDUSTRIAL_ZONE_ADJACENT_TO_ENTERTAINMENT_JNR',	'REQUIRES_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('DISTRICT_IS_ENCAMPMENT_ADJACENT_TO_ENTERTAINMENT_JNR',		'REQUIRES_DISTRICT_IS_ENCAMPMENT'),
		('DISTRICT_IS_ENCAMPMENT_ADJACENT_TO_ENTERTAINMENT_JNR',		'REQUIRES_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('DISTRICT_IS_ADJACENT_TO_ENTERTAINMENT_JNR',					'REQUIRES_PLOT_ADJACENT_TO_ENTERTAINMENT_COMPLEX'),
		('DISTRICT_IS_ADJACENT_TO_ENTERTAINMENT_JNR',					'REQUIRES_PLOT_ADJACENT_TO_WATER_ENTERTAINMENT_COMPLEX_JNR');
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,												Kind)
VALUES	('MODIFIER_JNR_CITY_DISTRICTS_BASE_YIELD_CHANGE',	'KIND_MODIFIER');
--------------------------------------------------------------

-- DynamicModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DynamicModifiers
		(ModifierType,										CollectionType,					EffectType)
VALUES	('MODIFIER_JNR_CITY_DISTRICTS_BASE_YIELD_CHANGE',	'COLLECTION_CITY_DISTRICTS',	'EFFECT_ADJUST_DISTRICT_BASE_YIELD_CHANGE');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,														ModifierType,										SubjectRequirementSetId)
VALUES	('PARKS_RECREATION_JNR_FASTER_FAIRGROUND_BUILDINGS',				'MODIFIER_SINGLE_CITY_ADJUST_BUILDING_PRODUCTION',	NULL),
		('PARKS_RECREATION_JNR_FASTER_WATER_PARK_BUILDINGS',				'MODIFIER_SINGLE_CITY_ADJUST_BUILDING_PRODUCTION',	NULL),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_CAMPUS',				'MODIFIER_JNR_CITY_DISTRICTS_BASE_YIELD_CHANGE',	'DISTRICT_IS_CAMPUS_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_HOLY_SITE',			'MODIFIER_JNR_CITY_DISTRICTS_BASE_YIELD_CHANGE',	'DISTRICT_IS_HOLY_SITE_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_THEATER_SQUARE',		'MODIFIER_JNR_CITY_DISTRICTS_BASE_YIELD_CHANGE',	'DISTRICT_IS_THEATER_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_COMMERCIAL_HUB',		'MODIFIER_JNR_CITY_DISTRICTS_BASE_YIELD_CHANGE',	'DISTRICT_IS_COMMERCIAL_HUB_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_HARBOR_ADJACENT',	'MODIFIER_JNR_CITY_DISTRICTS_BASE_YIELD_CHANGE',	'DISTRICT_IS_HARBOR_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_INDUSTRIAL_ZONE',	'MODIFIER_JNR_CITY_DISTRICTS_BASE_YIELD_CHANGE',	'DISTRICT_IS_INDUSTRIAL_ZONE_ADJACENT_TO_ENTERTAINMENT_JNR'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_ENCAMPMENT',			'MODIFIER_JNR_CITY_DISTRICTS_BASE_YIELD_CHANGE',	'DISTRICT_IS_ENCAMPMENT_ADJACENT_TO_ENTERTAINMENT_JNR');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,														Name,			Value)
VALUES	('PARKS_RECREATION_JNR_FASTER_FAIRGROUND_BUILDINGS',				'DistrictType',	'DISTRICT_ENTERTAINMENT_COMPLEX'),
		('PARKS_RECREATION_JNR_FASTER_FAIRGROUND_BUILDINGS',				'Amount',		30),
		('PARKS_RECREATION_JNR_FASTER_WATER_PARK_BUILDINGS',				'DistrictType',	'DISTRICT_WATER_ENTERTAINMENT_COMPLEX'),
		('PARKS_RECREATION_JNR_FASTER_WATER_PARK_BUILDINGS',				'Amount',		30),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_CAMPUS',				'YieldType',	'YIELD_SCIENCE'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_HOLY_SITE',			'YieldType',	'YIELD_FAITH'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_THEATER_SQUARE',		'YieldType',	'YIELD_CULTURE'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_COMMERCIAL_HUB',		'YieldType',	'YIELD_GOLD'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_HARBOR_ADJACENT',	'YieldType',	'YIELD_GOLD'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_INDUSTRIAL_ZONE',	'YieldType',	'YIELD_PRODUCTION'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_ENCAMPMENT',			'YieldType',	'YIELD_PRODUCTION'),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_CAMPUS',				'Amount',		2),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_HOLY_SITE',			'Amount',		2),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_THEATER_SQUARE',		'Amount',		2),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_COMMERCIAL_HUB',		'Amount',		2),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_HARBOR_ADJACENT',	'Amount',		2),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_INDUSTRIAL_ZONE',	'Amount',		2),
		('PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_ENCAMPMENT',			'Amount',		2);
--------------------------------------------------------------

-- GovernorPromotionModifiers
--------------------------------------------------------------
DELETE FROM GovernorPromotionModifiers WHERE GovernorPromotionType='GOVERNOR_PROMOTION_PARKS_RECREATION' AND ModifierId='PARKS_RECREATION_CAN_BUILD_CITY_PARK';

INSERT OR IGNORE INTO GovernorPromotionModifiers
		(GovernorPromotionType,					ModifierId)
SELECT	'GOVERNOR_PROMOTION_PARKS_RECREATION',	ModifierId
FROM	Modifiers
WHERE	ModifierId IN (
		'PARKS_RECREATION_JNR_FASTER_FAIRGROUND_BUILDINGS',
		'PARKS_RECREATION_JNR_FASTER_WATER_PARK_BUILDINGS',
		'PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_CAMPUS',
		'PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_HOLY_SITE',
		'PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_THEATER_SQUARE',
		'PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_COMMERCIAL_HUB',
		'PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_HARBOR_ADJACENT',
		'PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_INDUSTRIAL_ZONE'
		)
		AND NOT EXISTS (SELECT ModifierId FROM Modifiers WHERE ModifierId='COREX_PARKS_AND_REC_ALLOW_IMPROVEMENT');

INSERT OR IGNORE INTO GovernorPromotionModifiers
		(GovernorPromotionType,					ModifierId)
SELECT	'GOVERNOR_PROMOTION_PARKS_RECREATION',	'PARKS_RECREATION_JNR_ENTERTAINMENT_ADJACENCY_ENCAMPMENT'
FROM	District_Adjacencies
WHERE	DistrictType='DISTRICT_ENCAMPMENT'
		AND YieldChangeId='District_Production'
		AND NOT EXISTS (SELECT ModifierId FROM Modifiers WHERE ModifierId='COREX_PARKS_AND_REC_ALLOW_IMPROVEMENT');
--------------------------------------------------------------